<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="init" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF2020"
	title	= "テーブルカラム"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<!-- history.back() で戻るボタンを表示します。	-->
<jsp:directive.include file="/jsp/common/history_back.jsp" />

<og:columnCheck command = "{@command}" />
<og:entry command = "{@command}"  />

<og:dataCheck command="{@command}" exist="false" sqlType="{@sqlType}" execType="INSERT|COPY" lbl="GFE0006">
		select count(*) from GF05
		where SYSTEM_ID	= '{@SYSTEM_ID}'
		and TBLSYU		= '{@TBLSYU}'
		and CLM			= [CLM]
		and (	NAME_JA			!= [NAME_JA]
			or	CLS_NAME		!= [CLS_NAME]
			or	VIEW_LENGTH		!= [VIEW_LENGTH]
			or	USE_LENGTH		!= [USE_LENGTH]
			or	DATA_DEFAULT	!= [DATA_DEFAULT]
			or	RENDERER		!= [RENDERER]
			or	EDITOR			!= [EDITOR]
			or	DBTYPE			!= [DBTYPE]
			)
</og:dataCheck>

<!-- とりあえず保留
<og:value command = "SETTBL" key = "TABLE_NAME" separator="','" action = "APPEND"/>
-->

<!-- トランザクション 登録処理 -->
<og:transaction>
	<!-- 通常登録処理 -->
	<og:tableUpdate command="{@command}" sqlType="{@sqlType}" queryType="JDBCTableUpdate" debug="{@debug}">
		<og:tableUpdateParam
			constObjKey = "GF"
			sqlType		= "{@sqlType}"
			table		= "GF05"
			where		= "UNIQ=[UNIQ]"
			omitNames	= "TABLENAME_JA"
		/>
	</og:tableUpdate>
</og:transaction >

<og:forward page="result.jsp" keys="command" vals="RENEW" />
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
